|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions
gameplay::Camera::Listener Class Reference

`#include <Camera.h>`

Inheritance diagram for gameplay::Camera::Listener:

List of all members.

## Public Member Functions

virtual void | cameraChanged (Camera *camera)=0

## Detailed Description

Listener interface for camera events.

## Member Function Documentation

virtual void gameplay::Camera::Listener::cameraChanged | ( | Camera * | camera | ) | `[pure virtual]`

Handles when an camera settings change or the transform changed for the node its attached to.

Parameters:

  camera | The camera that was changed.

Implemented in gameplay::TerrainPatch.

All Classes Functions Variables Typedefs Enumerations Enumerator